VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Attributes | List of all members
CMenuItem::Impl Struct Reference

## Public Attributes
UTF8String | title
UTF8String | keyCode
SharedPointer< COptionMenu > | submenu
SharedPointer< CBitmap > | icon
int32_t | flags {0}
int32_t | keyModifiers {0}
VirtualKey | virtualKey {VirtualKey::None}
int32_t | tag {-1}

## Member Data Documentation

## ◆ flags

int32_t flags {0}

## ◆ icon

SharedPointer<CBitmap> icon

## ◆ keyCode

UTF8String keyCode

## ◆ keyModifiers

int32_t keyModifiers {0}

## ◆ submenu

SharedPointer<COptionMenu> submenu

## ◆ tag

int32_t tag {-1}

## ◆ title

UTF8String title

## ◆ virtualKey

VirtualKey virtualKey {VirtualKey::None}

The documentation for this struct was generated from the following file:

- coptionmenu.cpp